diff --git a/ocaml/Makefile b/ocaml/Makefile
index 9b2f66c..386a3e8 100644
--- a/ocaml/Makefile
+++ b/ocaml/Makefile
@@ -1,16 +1,15 @@
 # Created by: Kiriyama Kazuhiko <kiri@kiri.toba-cmt.ac.jp>
-# $FreeBSD: head/lang/ocaml/Makefile 349300 2014-03-26 21:58:06Z marino $
+# $FreeBSD$
 
 PORTNAME=	ocaml
-PORTVERSION=	4.00.1
-PORTREVISION=	1
+PORTVERSION=	4.01.0
 CATEGORIES=	lang
-MASTER_SITES=	http://caml.inria.fr/distrib/${DISTNAME:R}/ \
+MASTER_SITES=	http://caml.inria.fr/pub/distrib/${DISTNAME:R}/ \
 		${MASTER_SITE_GENTOO}
 MASTER_SITE_SUBDIR=	distfiles
 PKGNAMESUFFIX=	${SFX}
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
-EXTRACT_ONLY=   ${DISTNAME}${EXTRACT_SUFX}
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	michipili@gmail.com
 COMMENT=	The Objective Caml compiler and programming environment
@@ -29,6 +28,7 @@ STRIP=
 SSP_UNSAFE=	yes
 MAKE_JOBS_UNSAFE=	yes
 
+MAKE_ENV+=	STAGEDIR="${STAGEDIR}"
 CONFIGURE_ARGS=	-verbose -prefix "${PREFIX}" \
 		-cc "${CC} ${CFLAGS}" \
 		-as "${AS} ${ASFLAGS}" \
@@ -37,6 +37,7 @@ CONFIGURE_ARGS=	-verbose -prefix "${PREFIX}" \
 
 OPTIONS_DEFINE= X11 TK THREADS OPT_DEF DOCS
 OPTIONS_DEFAULT=X11 TK THREADS
+OPT_DEF_DESC=	Use system-optimized binaries by default
 TK_DESC=	LablTk library (requires X11 support)
 CMP_LIB_DESC=	Install compiler libraries
 OPT_DEF_DESC=	Use system-optimizes binaries by default
@@ -45,15 +46,21 @@ PORTDOCS=	htmlman ${DOCSDISTNAME}-refman.ps.gz \
 
 MODOPT=		camlp4o camlp4r ocamlc ocamldep ocamldoc ocamllex ocamlopt
 PATTERN=	[[:space:]]*(do|then)?[[:space:]]*)(\$$\(CP\)|cp)([[:space:]]
-DOCSDISTNAME=   ${DISTNAME:C/([[:digit:]]+)\.([[:digit:]]+)\.([[:digit:]]+)/\1.\2/}
+DOCSDISTNAME=	${DISTNAME:C/([[:digit:]]+)\.([[:digit:]]+)\.([[:digit:]]+)/\1.\2/}
+
+CONFLICTS=	metaocaml-[0-9]*
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MDOCS}
-DISTFILES+= 	${DOCSDISTNAME}-refman-html.tar.gz \
+DISTFILES+=	${DOCSDISTNAME}-refman-html.tar.gz \
 		${DOCSDISTNAME}-refman.ps.gz \
 		${DOCSDISTNAME}-refman.pdf
+EXTRACT_ONLY+=	${DOCSDISTNAME}-refman-html.tar.gz
+PLIST_SUB+=	DOC=""
+PORTDOCS=	htmlman ${DOCSDISTNAME}-refman.ps.gz ${DOCSDISTNAME}-refman.pdf
+.else
+PLIST_SUB+=	DOC="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MTHREADS}
@@ -84,7 +91,7 @@ CONFIGURE_ARGS+=-no-graph
 PORTEXAMPLES=	examples_camltk examples_labltk
 .endif
 . if ! ${PORT_OPTIONS:MX11}
-IGNORE=	: TK support requires X11 support
+IGNORE=requires X11 support to build TK bindings
 . endif
 USES+=		tk:84+
 PLIST_SUB+=	TK=""
@@ -108,6 +115,10 @@ PLIST_SUB+=	PROF="@comment "
 PLIST_SUB+=	PROF=""
 .endif
 
+.if ${OCAML_ARCH} == sparc64
+BROKEN=	ocamlc.opt seg-faults on ${ARCH}, please try to fix
+.endif
+
 post-extract:
 .if ${OCAML_ARCH} == power
 	${MV} ${WRKSRC}/asmrun/power-elf.S ${WRKSRC}/asmrun/power-bsd.S
@@ -131,9 +142,11 @@ post-patch:
 		-e 's|-lbfd -ldl|-lbfd $$dllib|' \
 		${WRKSRC}/configure
 # don't hardcode gcc for depend target
-	@${REINPLACE_CMD} -e 's|gcc|$$(CC)|' \
-		${WRKSRC}/*/Makefile \
-		${WRKSRC}/*/*/Makefile
+# be aware of staging
+	@${REINPLACE_CMD} -E \
+		-e 's|gcc|$$(CC)|' \
+		-e '/^install/,/^$$/s@\$$\(((INSTALL_)?(BIN|LIB|STUBLIB|COMPLIB|MANO?|INSTALL|INSTALL_CUSTOM)DIR)\)@$$(STAGEDIR)$$(\1)@g' \
+		`find ${WRKSRC} -name 'Makefile*'`
 .if ${PORT_OPTIONS:MTK}
 	@${REINPLACE_CMD} -e 's|/usr/bin/wish|${WISH}|' \
 		${WRKSRC}/otherlibs/labltk/examples_labltk/hello.tcl
@@ -151,7 +164,7 @@ post-configure:
 # user's umask(1)
 	@${FIND} ${WRKDIR} -type f -name Makefile -print0 | \
 		${XARGS} -0 -n 5 -x ${REINPLACE_CMD} -E \
-		-e 's,\$$\(ARCH\),${OCAML_ARCH},g' \
+		-e 's,\$$\(ARCH\),${OCAML_ARCH},g'	\
 		-e 's,^(${PATTERN}+.*INSTALLDIR),\1\$${BSD_INSTALL_DATA} \4,' \
 		-e 's,^(${PATTERN}+.*BINDIR),\1\$${BSD_INSTALL_PROGRAM} \4,' \
 		-e 's,^(${PATTERN}+.*LIBDIR),\1\$${BSD_INSTALL_DATA} \4,' \
@@ -164,47 +177,34 @@ check test: install
 	${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_ARGS} report
 
 post-install:
-	@${TOUCH} ${PREFIX}/lib/ocaml/ocamldoc/custom/.keep
-	@${CHMOD} 755 ${PREFIX}/lib/ocaml/expunge
+#	@${TOUCH} ${STAGEDIR}${PREFIX}/lib/ocaml/ocamldoc/custom/.keep
+	@${CHMOD} 755 ${STAGEDIR}${PREFIX}/lib/ocaml/expunge
 .if ${PORT_OPTIONS:MTK}
-	@${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	@(cd ${WRKSRC}/otherlibs/labltk && \
-		${COPYTREE_SHARE} examples_labltk ${EXAMPLESDIR} \
+		${COPYTREE_SHARE} examples_labltk ${STAGEDIR}${EXAMPLESDIR} \
 		"! -name .ignore" && \
-		${COPYTREE_SHARE} examples_camltk ${EXAMPLESDIR} \
+		${COPYTREE_SHARE} examples_camltk ${STAGEDIR}${EXAMPLESDIR} \
 		"! -name .ignore")
 .endif
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	(cd ${WRKDIR} && ${COPYTREE_SHARE} htmlman ${DOCSDIR})
-	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.ps.gz ${DOCSDIR}
-	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.pdf ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKDIR} && ${COPYTREE_SHARE} htmlman ${STAGEDIR}${DOCSDIR})
+	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.ps.gz ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.pdf ${STAGEDIR}${DOCSDIR}
 .endif
 
-.if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	(cd ${WRKDIR} && ${COPYTREE_SHARE} htmlman ${DOCSDIR})
-	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.ps.gz ${DOCSDIR}
-	${INSTALL_DATA} ${_DISTDIR}${DOCSDISTNAME}-refman.pdf ${DOCSDIR}
-.endif
-
-.for PROG in camlp4o.opt camlp4of.opt camlp4oof.opt camlp4orf.opt \
-	camlp4r.opt camlp4rf.opt ocamlc.opt ocamldep.opt ocamldoc.opt \
-	ocamllex.opt ocamlopt.opt ocamlrun ocamlyacc
-	@${STRIP_CMD} ${PREFIX}/bin/${PROG}
-.endfor
-
 # Fix permissions for ld.conf
-	@${CHMOD} 644 ${PREFIX}/lib/ocaml/ld.conf
+	@${CHMOD} 644 ${STAGEDIR}${PREFIX}/lib/ocaml/ld.conf
 
 # Do we want .opt version of tools to be the default ?
 .if ${PORT_OPTIONS:MOPT_DEF}
 . for module in ${MODOPT}
 #	First, we save bytecode version
-	@${MV} ${PREFIX}/bin/${module} ${PREFIX}/bin/${module}.byte
+	@${MV} ${STAGEDIR}${PREFIX}/bin/${module} ${STAGEDIR}${PREFIX}/bin/${module}.byte
 
 #	Next make .opt version be the default one (via link)
-	@${LN} ${PREFIX}/bin/${module}.opt ${PREFIX}/bin/${module}
+	@${LN} ${STAGEDIR}${PREFIX}/bin/${module}.opt ${STAGEDIR}${PREFIX}/bin/${module}
 	@${ECHO_CMD} "bin/${module}.byte" >> ${TMPPLIST}
 	@${ECHO_CMD} "@exec ${LN} %D/${module}.opt %D/${module}" >> ${TMPPLIST}
 . endfor
diff --git a/ocaml/distinfo b/ocaml/distinfo
index 1a8fe0e..961cad9 100644
--- a/ocaml/distinfo
+++ b/ocaml/distinfo
@@ -1,8 +1,8 @@
-SHA256 (ocaml-4.00.1.tar.bz2) = 33c3f4acff51685f5bfd7c260f066645e767d4e865877bf1613c176a77799951
-SIZE (ocaml-4.00.1.tar.bz2) = 2762205
-SHA256 (ocaml-4.00-refman-html.tar.gz) = 8ca43859d8a71f0941a2453b7b808d7e58ad54804a9cf285875fa30e6576b31a
-SIZE (ocaml-4.00-refman-html.tar.gz) = 549757
-SHA256 (ocaml-4.00-refman.ps.gz) = 6146264fef7ae73f7ebb8dc49a3b1adae9d5bd4f9a14a2670c9d43f7e6a253c3
-SIZE (ocaml-4.00-refman.ps.gz) = 1075658
-SHA256 (ocaml-4.00-refman.pdf) = 76ba2cf60a605b2427f995563f6dc6c7dbb39be6b066f6d96b23926e8cc9babc
-SIZE (ocaml-4.00-refman.pdf) = 1453678
+SHA256 (ocaml-4.01.0.tar.bz2) = b1ca708994180236917ae79e17606da5bd334ca6acd6873a550027e1c0ec874a
+SIZE (ocaml-4.01.0.tar.bz2) = 3691090
+SHA256 (ocaml-4.01-refman-html.tar.gz) = 01019c8f8a29a8a7f422e090704b666ade2a007d57ea9412285f88f716656001
+SIZE (ocaml-4.01-refman-html.tar.gz) = 571422
+SHA256 (ocaml-4.01-refman.ps.gz) = 4de67ef967b8b39a6f030df258087239d6f7dee869a3973d7a782b7986b809c6
+SIZE (ocaml-4.01-refman.ps.gz) = 1089703
+SHA256 (ocaml-4.01-refman.pdf) = 389e434f534153530ba234299d0f3a0e4271d18b091b9216e4a37335ebd33424
+SIZE (ocaml-4.01-refman.pdf) = 1478900
diff --git a/ocaml/files/patch-Makefile b/ocaml/files/patch-Makefile
new file mode 100644
index 0000000..df01c75
--- /dev/null
+++ b/ocaml/files/patch-Makefile
@@ -0,0 +1,28 @@
+--- Makefile.orig	2013-06-17 15:15:18.000000000 +0200
++++ Makefile	2014-04-01 08:23:13.000000000 +0200
+@@ -298,7 +298,7 @@
+ 	if test -f debugger/ocamldebug; then (cd debugger; $(MAKE) install); \
+ 	   else :; fi
+ 	cp config/Makefile $(LIBDIR)/Makefile.config
+-	BINDIR=$(BINDIR) LIBDIR=$(LIBDIR) PREFIX=$(PREFIX) \
++	BINDIR=$(BINDIR) LIBDIR=$(LIBDIR) MANDIR=$(MANDIR) PREFIX=$(PREFIX) \
+ 	  ./build/partial-install.sh
+ 
+ # Installation of the native-code compiler
+@@ -318,14 +318,14 @@
+ 	cp ocamlc.opt $(BINDIR)/ocamlc.opt$(EXE)
+ 	cp ocamlopt.opt $(BINDIR)/ocamlopt.opt$(EXE)
+ 	cp lex/ocamllex.opt $(BINDIR)/ocamllex.opt$(EXE)
++	$(RANLIB) compilerlibs/ocamlcommon.a compilerlibs/ocamlbytecomp.a \
++		compilerlibs/ocamloptcomp.a
+ 	cp compilerlibs/ocamlcommon.cmxa compilerlibs/ocamlcommon.a \
+ 	   compilerlibs/ocamlbytecomp.cmxa compilerlibs/ocamlbytecomp.a \
+ 	   compilerlibs/ocamloptcomp.cmxa compilerlibs/ocamloptcomp.a \
+ 	   $(BYTESTART:.cmo=.cmx) $(BYTESTART:.cmo=.o) \
+ 	   $(OPTSTART:.cmo=.cmx) $(OPTSTART:.cmo=.o) \
+ 	   $(COMPLIBDIR)
+-	cd $(COMPLIBDIR) && $(RANLIB) ocamlcommon.a ocamlbytecomp.a \
+-	   ocamloptcomp.a
+ 
+ clean:: partialclean
+ 
diff --git a/ocaml/files/patch-asmrun-Makefile b/ocaml/files/patch-asmrun-Makefile
new file mode 100644
index 0000000..d4fc8f7
--- /dev/null
+++ b/ocaml/files/patch-asmrun-Makefile
@@ -0,0 +1,25 @@
+--- asmrun/Makefile.orig	2013-06-24 10:16:27.000000000 +0200
++++ asmrun/Makefile	2014-04-01 07:12:29.000000000 +0200
+@@ -64,14 +64,12 @@
+ 
+ install-default:
+ 	cp libasmrun.a $(LIBDIR)/libasmrun.a
+-	cd $(LIBDIR); $(RANLIB) libasmrun.a
+ 
+ install-noruntimed:
+ .PHONY: install-noruntimed
+ 
+ install-runtimed:
+ 	cp libasmrund.a $(LIBDIR)/libasmrund.a
+-	cd $(LIBDIR); $(RANLIB) libasmrund.a
+ .PHONY: install-runtimed
+ 
+ install-noprof:
+@@ -79,7 +77,6 @@
+ 
+ install-prof:
+ 	cp libasmrunp.a $(LIBDIR)/libasmrunp.a
+-	cd $(LIBDIR); $(RANLIB) libasmrunp.a
+ 
+ power-bsd_elf.S: power-elf.S
+ 	cp power-elf.S power-bsd_elf.S
diff --git a/ocaml/files/patch-byterun-Makefile.common b/ocaml/files/patch-byterun-Makefile.common
new file mode 100644
index 0000000..c04c2c6
--- /dev/null
+++ b/ocaml/files/patch-byterun-Makefile.common
@@ -0,0 +1,10 @@
+--- byterun/Makefile.common.orig	2014-04-01 07:13:45.000000000 +0200
++++ byterun/Makefile.common	2014-04-01 07:13:58.000000000 +0200
+@@ -51,7 +51,6 @@
+ install::
+ 	cp ocamlrun$(EXE) $(BINDIR)/ocamlrun$(EXE)
+ 	cp libcamlrun.$(A) $(LIBDIR)/libcamlrun.$(A)
+-	cd $(LIBDIR); $(RANLIB) libcamlrun.$(A)
+ 	if test -d $(LIBDIR)/caml; then : ; else mkdir $(LIBDIR)/caml; fi
+ 	for i in $(PUBLIC_INCLUDES); do \
+ 	  sed -f ../tools/cleanup-header $$i > $(LIBDIR)/caml/$$i; \
diff --git a/ocaml/files/patch-configure b/ocaml/files/patch-configure
index e7fdade..00f694d 100644
--- a/ocaml/files/patch-configure
+++ b/ocaml/files/patch-configure
@@ -1,143 +1,18 @@
---- configure.orig	2012-06-26 15:33:50.000000000 +0000
-+++ configure
-@@ -88,6 +88,8 @@ while : ; do
-         withcurses=no;;
-     -no-shared-libs|--no-shared-libs)
-         withsharedlibs=no;;
-+    -no-x11|--no-x11)
-+        x11_wanted=no;;
-     -x11include*|--x11include*)
-         x11_include_dir=$2; shift;;
-     -x11lib*|--x11lib*)
-@@ -537,9 +539,9 @@ if test $withsharedlibs = "yes"; then
-       mksharedlib="$flexlink"
-       mkmaindll="$flexlink -maindll"
-       shared_libraries_supported=true;;
--    *-*-linux-gnu|*-*-linux|*-*-freebsd[3-9]*|*-*-openbsd*|*-*-netbsd*|*-*-gnu*)
-+    *-*-linux-gnu|*-*-linux|*-*-dragonfly*|*-*-freebsd*|*-*-openbsd*|*-*-netbsd*|*-*-gnu*)
-       sharedcccompopts="-fPIC"
--      mksharedlib="$bytecc -shared"
-+      mksharedlib="$bytecc $bytecclinkopts -shared"
-       bytecclinkopts="$bytecclinkopts -Wl,-E"
-       byteccrpath="-Wl,-rpath,"
-       mksharedlibrpath="-Wl,-rpath,"
-@@ -549,7 +551,7 @@ if test $withsharedlibs = "yes"; then
-       case "$bytecc" in
-         gcc*)
-           sharedcccompopts="-fPIC"
--          mksharedlib="$bytecc -shared"
-+          mksharedlib="$bytecc $bytecclinkopts -shared"
-           byteccrpath="-Wl,-rpath,"
-           mksharedlibrpath="-Wl,-rpath,"
-           shared_libraries_supported=true;;
-@@ -565,11 +567,11 @@ if test $withsharedlibs = "yes"; then
-         gcc*)
-           sharedcccompopts="-fPIC"
-           if sh ./solaris-ld; then
--            mksharedlib="$bytecc -shared"
-+            mksharedlib="$bytecc $bytecclinkopts -shared"
-             byteccrpath="-R"
-             mksharedlibrpath="-R"
-           else
--            mksharedlib="$bytecc -shared"
-+            mksharedlib="$bytecc $bytecclinkopts -shared"
-             bytecclinkopts="$bytecclinkopts -Wl,-E"
-             natdynlinkopts="-Wl,-E"
-             byteccrpath="-Wl,-rpath,"
-@@ -593,12 +595,12 @@ if test $withsharedlibs = "yes"; then
-       mksharedlibrpath="-rpath "
-       shared_libraries_supported=true;;
-     i[3456]86-*-darwin[89].*)
--      mksharedlib="$bytecc -bundle -flat_namespace -undefined suppress -read_only_relocs suppress"
-+      mksharedlib="$bytecc $bytecclinkopts -bundle -flat_namespace -undefined suppress -read_only_relocs suppress"
-       bytecccompopts="$dl_defs $bytecccompopts"
-       dl_needs_underscore=false
-       shared_libraries_supported=true;;
-     *-apple-darwin*)
--      mksharedlib="$bytecc -bundle -flat_namespace -undefined suppress"
-+      mksharedlib="$bytecc $bytecclinkopts -bundle -flat_namespace -undefined suppress"
-       bytecccompopts="$dl_defs $bytecccompopts"
-       dl_needs_underscore=false
-       shared_libraries_supported=true;;
-@@ -608,7 +610,7 @@ if test $withsharedlibs = "yes"; then
-       shared_libraries_supported=false;;
-     *-*-openbsd*)
-       sharedcccompopts="-fPIC"
--      mksharedlib="$bytecc -shared"
-+      mksharedlib="$bytecc $bytecclinkopts -shared"
-       bytecclinkopts="$bytecclinkopts -Wl,-E"
-       natdynlinkopts="-Wl,-E"
-       byteccrpath="-Wl,-rpath,"
-@@ -633,7 +635,7 @@ if test $withsharedlibs = "yes"; then
-     x86_64-*-linux*)              natdynlink=true;;
-     i[3456]86-*-darwin[89].*)     natdynlink=true;;
-     i[3456]86-*-darwin*)
--      if test $arch64 == true; then
-+      if test $arch64 = true; then
-         natdynlink=true
-       fi;;
-     x86_64-*-darwin*)             natdynlink=true;;
-@@ -641,6 +643,8 @@ if test $withsharedlibs = "yes"; then
-     sparc*-*-linux*)              natdynlink=true;;
-     i686-*-kfreebsd*)             natdynlink=true;;
-     x86_64-*-kfreebsd*)           natdynlink=true;;
-+    i[345]86-*-dragonfly*)        natdynlink=true;;
-+    x86_64-*-dragonfly*)          natdynlink=true;;
-     i[345]86-*-freebsd*)          natdynlink=true;;
-     x86_64-*-freebsd*)            natdynlink=true;;
-     i[345]86-*-openbsd*)          natdynlink=true;;
-@@ -672,6 +676,7 @@ case "$host" in
-   sparc*-*-gnu*)                arch=sparc; system=gnu;;
-   i[3456]86-*-linux*)           arch=i386; system=linux_`sh ./runtest elf.c`;;
-   i[3456]86-*-*bsd*)            arch=i386; system=bsd_`sh ./runtest elf.c`;;
-+  i[3456]86-*-dragonfly*)       arch=i386; system=bsd_`sh ./runtest elf.c`;;
-   i[3456]86-*-nextstep*)        arch=i386; system=nextstep;;
-   i[3456]86-*-solaris*)         if $arch64; then
-                                   arch=amd64; system=solaris
-@@ -687,6 +692,7 @@ case "$host" in
+--- configure.orig	2013-08-23 02:22:36.000000000 -0400
++++ configure	2013-11-21 06:25:38.000000000 -0500
+@@ -695,6 +695,7 @@
                                  fi;;
    i[3456]86-*-gnu*)             arch=i386; system=gnu;;
    powerpc*-*-linux*)            arch=power; model=ppc; system=elf;;
-+  powerpc-*-freebsd*)           arch=power; model=ppc; system=elf;;
++  powerpc*-*-freebsd*)          arch=power; model=ppc; system=elf;;
    powerpc-*-netbsd*)            arch=power; model=ppc; system=elf;;
+   powerpc-*-openbsd*)           arch=power; model=ppc; system=bsd_elf;;
    powerpc-*-rhapsody*)          arch=power; model=ppc; system=rhapsody;;
-   powerpc-*-darwin*)            arch=power; system=rhapsody
-@@ -700,6 +706,7 @@ case "$host" in
-   arm*-*-linux-gnueabi)         arch=arm; system=linux_eabi;;
-   x86_64-*-linux*)              arch=amd64; system=linux;;
-   x86_64-*-gnu*)                arch=amd64; system=gnu;;
-+  x86_64-*-dragonfly*)          arch=amd64; system=dragonfly;;
-   x86_64-*-freebsd*)            arch=amd64; system=freebsd;;
-   x86_64-*-netbsd*)             arch=amd64; system=netbsd;;
-   x86_64-*-openbsd*)            arch=amd64; system=openbsd;;
-@@ -724,7 +731,7 @@ else
- fi
- 
- nativecccompopts=''
--nativecclinkopts=''
-+nativecclinkopts=""
- nativeccrpath="$byteccrpath"
- 
- case "$arch,$nativecc,$system,$host_type" in
-@@ -786,6 +793,8 @@ case "$arch,$model,$system" in
+@@ -803,6 +804,7 @@
    amd64,*,linux) profiling='prof';;
    amd64,*,gnu) profiling='prof';;
    arm,*,linux*) profiling='prof';;
-+  *,*,dragonfly) profiling='prof';;
 +  *,*,freebsd) profiling='prof';;
    *) profiling='noprof';;
  esac
  
-@@ -1544,10 +1553,10 @@ fi
- # Look for BFD library
- 
- if ./hasgot -i bfd.h && \
--   ./hasgot -lbfd -ldl -liberty -lz bfd_openr; then
-+   ./hasgot -lbfd $dllib -liberty -lz bfd_openr; then
-   echo "BFD library found."
-   echo "#define HAS_LIBBFD" >> s.h
--  echo "LIBBFD_LINK=-lbfd -ldl -liberty -lz" >> Makefile
-+  echo "LIBBFD_LINK=-lbfd $dllib -liberty -lz" >> Makefile
- else
-   echo "BFD library not found, 'objinfo' will be unable to display info on .cmxs files"
-   echo "LIBBFD_LINK=" >> Makefile
diff --git a/ocaml/files/patch-otherlibs-Makefile.shared b/ocaml/files/patch-otherlibs-Makefile.shared
new file mode 100644
index 0000000..489cc72
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-Makefile.shared
@@ -0,0 +1,19 @@
+--- otherlibs/Makefile.shared.orig	2013-07-23 16:48:47.000000000 +0200
++++ otherlibs/Makefile.shared	2014-04-01 07:24:57.000000000 +0200
+@@ -59,14 +59,14 @@
+ install::
+ 	if test -f dll$(CLIBNAME)$(EXT_DLL); then \
+ 	  cp dll$(CLIBNAME)$(EXT_DLL) $(STUBLIBDIR)/; fi
++	$(RANLIB) lib$(CLIBNAME).$(A)
+ 	cp lib$(CLIBNAME).$(A) $(LIBDIR)/
+-	cd $(LIBDIR); $(RANLIB) lib$(CLIBNAME).$(A)
+ 	cp $(LIBNAME).cma $(CMIFILES) $(CMIFILES:.cmi=.mli) $(LIBDIR)/
+ 	if test -n "$(HEADERS)"; then cp $(HEADERS) $(LIBDIR)/caml/; fi
+ 
+ installopt:
++	$(RANLIB) $(LIBNAME).a
+ 	cp $(CAMLOBJS_NAT) $(LIBNAME).cmxa $(LIBNAME).$(A) $(LIBDIR)/
+-	cd $(LIBDIR); $(RANLIB) $(LIBNAME).a
+ 	if test -f $(LIBNAME).cmxs; then cp $(LIBNAME).cmxs $(LIBDIR)/; fi
+ 
+ partialclean:
diff --git a/ocaml/files/patch-otherlibs-dynlink-Makefile b/ocaml/files/patch-otherlibs-dynlink-Makefile
new file mode 100644
index 0000000..444095a
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-dynlink-Makefile
@@ -0,0 +1,13 @@
+--- otherlibs/dynlink/Makefile.orig	2013-07-23 16:48:47.000000000 +0200
++++ otherlibs/dynlink/Makefile	2014-04-01 07:44:36.000000000 +0200
+@@ -71,8 +71,8 @@
+ 
+ installopt:
+ 	if $(NATDYNLINK); then \
+-	  cp $(NATOBJS) dynlink.cmxa dynlink.$(A) $(LIBDIR) && \
+-	  cd $(LIBDIR) && $(RANLIB) dynlink.$(A); \
++	  $(RANLIB) dynlink.$(A); \
++	  cp $(NATOBJS) dynlink.cmxa dynlink.$(A) $(LIBDIR); \
+ 	fi
+ 
+ partialclean:
diff --git a/ocaml/files/patch-otherlibs-labltk-lib-Makefile b/ocaml/files/patch-otherlibs-labltk-lib-Makefile
new file mode 100644
index 0000000..f52d9c3
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-labltk-lib-Makefile
@@ -0,0 +1,11 @@
+--- otherlibs/labltk/lib/Makefile.orig	2012-09-30 14:31:27.000000000 +0200
++++ otherlibs/labltk/lib/Makefile	2014-04-01 07:22:17.000000000 +0200
+@@ -99,7 +99,7 @@
+ 
+ installopt:
+ 	@if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
++	$(RANLIB) $(LIBNAME).$(A)
+ 	cp $(LIBNAME).cmxa $(LIBNAME).$(A) $(INSTALLDIR)
+-	cd $(INSTALLDIR); $(RANLIB) $(LIBNAME).$(A)
+ 	chmod 644 $(INSTALLDIR)/$(LIBNAME).cmxa
+ 	chmod 644 $(INSTALLDIR)/$(LIBNAME).$(A)
diff --git a/ocaml/files/patch-otherlibs-labltk-support-Makefile b/ocaml/files/patch-otherlibs-labltk-support-Makefile
new file mode 100644
index 0000000..ff0f551
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-labltk-support-Makefile
@@ -0,0 +1,12 @@
+--- otherlibs/labltk/support/Makefile.orig	2012-07-17 17:31:12.000000000 +0200
++++ otherlibs/labltk/support/Makefile	2014-04-01 07:23:59.000000000 +0200
+@@ -43,8 +43,8 @@
+ 
+ install:
+ 	if test -d $(INSTALLDIR); then : ; else mkdir $(INSTALLDIR); fi
++	$(RANLIB) lib$(LIBNAME).$(A)
+ 	cp $(PUB) lib$(LIBNAME).$(A) $(INSTALLDIR)
+-	cd $(INSTALLDIR); $(RANLIB) lib$(LIBNAME).$(A)
+ 	cd $(INSTALLDIR); chmod 644 $(PUB) lib$(LIBNAME).$(A)
+ 	if test -f dll$(LIBNAME)$(EXT_DLL); then \
+ 	   cp dll$(LIBNAME)$(EXT_DLL) $(STUBLIBDIR)/; fi
diff --git a/ocaml/files/patch-otherlibs-systhreads-Makefile b/ocaml/files/patch-otherlibs-systhreads-Makefile
new file mode 100644
index 0000000..29340e1
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-systhreads-Makefile
@@ -0,0 +1,25 @@
+--- otherlibs/systhreads/Makefile.orig	2013-07-23 16:48:47.000000000 +0200
++++ otherlibs/systhreads/Makefile	2014-04-01 07:26:11.000000000 +0200
+@@ -71,8 +71,8 @@
+ 
+ install:
+ 	if test -f dllthreads.so; then cp dllthreads.so $(STUBLIBDIR)/dllthreads.so; fi
++	$(RANLIB) libthreads.a
+ 	cp libthreads.a $(LIBDIR)/libthreads.a
+-	cd $(LIBDIR); $(RANLIB) libthreads.a
+ 	if test -d $(LIBDIR)/threads; then :; else mkdir $(LIBDIR)/threads; fi
+ 	cp $(THREAD_OBJS:.cmo=.cmi) threads.cma $(LIBDIR)/threads
+ 	rm -f $(LIBDIR)/threads/stdlib.cma
+@@ -80,10 +80,10 @@
+ 	cp threads.h $(LIBDIR)/caml/threads.h
+ 
+ installopt:
++	$(RANLIB) libthreadsnat.a
+ 	cp libthreadsnat.a $(LIBDIR)/libthreadsnat.a
+-	cd $(LIBDIR); $(RANLIB) libthreadsnat.a
++	$(RANLIB) threads.a
+ 	cp $(THREAD_OBJS:.cmo=.cmx) threads.cmxa threads.a $(LIBDIR)/threads
+-	cd $(LIBDIR)/threads; $(RANLIB) threads.a
+ 
+ .SUFFIXES: .ml .mli .cmo .cmi .cmx
+ 
diff --git a/ocaml/files/patch-otherlibs-threads-Makefile b/ocaml/files/patch-otherlibs-threads-Makefile
new file mode 100644
index 0000000..b0cf737
--- /dev/null
+++ b/ocaml/files/patch-otherlibs-threads-Makefile
@@ -0,0 +1,12 @@
+--- otherlibs/threads/Makefile.orig	2013-07-23 16:48:47.000000000 +0200
++++ otherlibs/threads/Makefile	2014-04-01 07:27:02.000000000 +0200
+@@ -98,8 +98,8 @@
+ install:
+ 	if test -f dllvmthreads.so; then cp dllvmthreads.so $(STUBLIBDIR)/.; fi
+ 	mkdir -p $(LIBDIR)/vmthreads
++	$(RANLIB) libvmthreads.a
+ 	cp libvmthreads.a $(LIBDIR)/vmthreads/libvmthreads.a
+-	cd $(LIBDIR)/vmthreads; $(RANLIB) libvmthreads.a
+ 	cp thread.cmi mutex.cmi condition.cmi event.cmi threadUnix.cmi \
+ 	   threads.cma stdlib.cma unix.cma $(LIBDIR)/vmthreads
+ 	cp thread.mli mutex.mli condition.mli event.mli threadUnix.mli \
diff --git a/ocaml/files/patch-stdlib-Makefile b/ocaml/files/patch-stdlib-Makefile
new file mode 100644
index 0000000..6f82401
--- /dev/null
+++ b/ocaml/files/patch-stdlib-Makefile
@@ -0,0 +1,22 @@
+--- stdlib/Makefile.orig	2012-10-15 19:50:56.000000000 +0200
++++ stdlib/Makefile	2014-04-01 07:27:40.000000000 +0200
+@@ -23,8 +23,8 @@
+ installopt: installopt-default installopt-$(PROFILING)
+ 
+ installopt-default:
++	$(RANLIB) stdlib.a
+ 	cp stdlib.cmxa stdlib.a std_exit.o *.cmx $(LIBDIR)
+-	cd $(LIBDIR); $(RANLIB) stdlib.a
+ 
+ installopt-noprof:
+ 	rm -f $(LIBDIR)/stdlib.p.cmxa; ln -s stdlib.cmxa $(LIBDIR)/stdlib.p.cmxa
+@@ -34,8 +34,8 @@
+ 	rm -f $(LIBDIR)/std_exit.p.o; ln -s std_exit.o $(LIBDIR)/std_exit.p.o
+ 
+ installopt-prof:
++	$(RANLIB) stdlib.p.a
+ 	cp stdlib.p.cmxa stdlib.p.a std_exit.p.cmx std_exit.p.o $(LIBDIR)
+-	cd $(LIBDIR); $(RANLIB) stdlib.p.a
+ 
+ stdlib.p.cmxa: $(OBJS:.cmo=.p.cmx)
+ 	$(CAMLOPT) -a -o stdlib.p.cmxa $(OBJS:.cmo=.p.cmx)
diff --git a/ocaml/files/patch-testsuite-backtrace-Makefile b/ocaml/files/patch-testsuite-backtrace-Makefile
deleted file mode 100644
index 7b887dc..0000000
--- a/ocaml/files/patch-testsuite-backtrace-Makefile
+++ /dev/null
@@ -1,11 +0,0 @@
---- testsuite/tests/backtrace/Makefile.orig	2012-11-01 20:28:23.000000000 +0100
-+++ testsuite/tests/backtrace/Makefile	2012-11-01 20:28:30.000000000 +0100
-@@ -6,7 +6,7 @@
- 	  $(OCAMLC) -g -o $(EXECNAME) $$file; \
- 	  for arg in a b c d ''; do \
- 	    printf " ... testing '$$file' (with argument '$$arg'):"; \
--	    OCAMLRUNPARAM=b=1 $(EXECNAME) $$arg > `basename $$file ml`$$arg.result 2>&1; \
-+	    sh -c "OCAMLRUNPARAM=b=1 $(EXECNAME) $$arg; true" > `basename $$file ml`$$arg.result 2>&1; \
- 	    $(DIFF) `basename $$file ml`$$arg.reference `basename $$file ml`$$arg.result > /dev/null && echo " => passed" || (echo " => failed" && exit 1); \
- 	  done; \
- 	done
diff --git a/ocaml/pkg-plist b/ocaml/pkg-plist
index 8508a5f..16e1394 100644
--- a/ocaml/pkg-plist
+++ b/ocaml/pkg-plist
@@ -13,10 +13,10 @@ bin/camlp4r
 bin/camlp4r.opt
 bin/camlp4rf
 bin/camlp4rf.opt
-%%TK%%bin/labltk
+bin/labltk
 bin/mkcamlp4
 bin/ocaml
-%%TK%%bin/ocamlbrowser
+bin/ocamlbrowser
 bin/ocamlbuild
 bin/ocamlbuild.byte
 bin/ocamlbuild.native
@@ -95,7 +95,7 @@ lib/ocaml/caml/mlvalues.h
 lib/ocaml/caml/printexc.h
 lib/ocaml/caml/signals.h
 lib/ocaml/caml/socketaddr.h
-%%THREADS%%lib/ocaml/caml/threads.h
+lib/ocaml/caml/threads.h
 lib/ocaml/caml/unixsupport.h
 lib/ocaml/camlheader
 lib/ocaml/camlheader_ur
@@ -239,7 +239,7 @@ lib/ocaml/camlp4/Camlp4Top/Rprint.cmx
 lib/ocaml/camlp4/Camlp4Top/Rprint.o
 lib/ocaml/camlp4/Camlp4Top/Top.cmi
 lib/ocaml/camlp4/Camlp4Top/Top.cmo
-lib/ocaml/camlp4/Camlp4Top/Top.cmx
+%%PROF%%lib/ocaml/camlp4/Camlp4Top/Top.cmx
 lib/ocaml/camlp4/Camlp4Top/Top.o
 lib/ocaml/camlp4/Camlp4_config.cmi
 lib/ocaml/camlp4/Camlp4_import.cmi
@@ -270,6 +270,7 @@ lib/ocaml/compiler-libs/asmgen.cmi
 lib/ocaml/compiler-libs/asmlibrarian.cmi
 lib/ocaml/compiler-libs/asmlink.cmi
 lib/ocaml/compiler-libs/asmpackager.cmi
+lib/ocaml/compiler-libs/ast_mapper.cmi
 lib/ocaml/compiler-libs/asttypes.cmi
 lib/ocaml/compiler-libs/btype.cmi
 lib/ocaml/compiler-libs/bytegen.cmi
@@ -289,8 +290,10 @@ lib/ocaml/compiler-libs/cmt_format.cmi
 lib/ocaml/compiler-libs/cmx_format.cmi
 lib/ocaml/compiler-libs/coloring.cmi
 lib/ocaml/compiler-libs/comballoc.cmi
+lib/ocaml/compiler-libs/compenv.cmi
 lib/ocaml/compiler-libs/compile.cmi
 lib/ocaml/compiler-libs/compilenv.cmi
+lib/ocaml/compiler-libs/compmisc.cmi
 lib/ocaml/compiler-libs/config.cmi
 lib/ocaml/compiler-libs/consistbl.cmi
 lib/ocaml/compiler-libs/ctype.cmi
@@ -301,6 +304,7 @@ lib/ocaml/compiler-libs/emit.cmi
 lib/ocaml/compiler-libs/emitaux.cmi
 lib/ocaml/compiler-libs/emitcode.cmi
 lib/ocaml/compiler-libs/env.cmi
+lib/ocaml/compiler-libs/envaux.cmi
 lib/ocaml/compiler-libs/errors.cmi
 lib/ocaml/compiler-libs/expunge.cmi
 lib/ocaml/compiler-libs/genprintval.cmi
@@ -351,6 +355,7 @@ lib/ocaml/compiler-libs/parser.cmi
 lib/ocaml/compiler-libs/parsetree.cmi
 lib/ocaml/compiler-libs/path.cmi
 lib/ocaml/compiler-libs/pparse.cmi
+lib/ocaml/compiler-libs/pprintast.cmi
 lib/ocaml/compiler-libs/predef.cmi
 lib/ocaml/compiler-libs/primitive.cmi
 lib/ocaml/compiler-libs/printast.cmi
@@ -395,6 +400,8 @@ lib/ocaml/compiler-libs/typeclass.cmi
 lib/ocaml/compiler-libs/typecore.cmi
 lib/ocaml/compiler-libs/typedecl.cmi
 lib/ocaml/compiler-libs/typedtree.cmi
+lib/ocaml/compiler-libs/typedtreeIter.cmi
+lib/ocaml/compiler-libs/typedtreeMap.cmi
 lib/ocaml/compiler-libs/typemod.cmi
 lib/ocaml/compiler-libs/typeopt.cmi
 lib/ocaml/compiler-libs/types.cmi
@@ -405,7 +412,7 @@ lib/ocaml/complex.cmx
 lib/ocaml/complex.ml
 lib/ocaml/complex.mli
 %%PROF%%lib/ocaml/complex.p.cmx
-%%THREADS%%lib/ocaml/condition.mli
+lib/ocaml/condition.mli
 lib/ocaml/digest.cmi
 lib/ocaml/digest.cmx
 lib/ocaml/digest.ml
@@ -417,7 +424,7 @@ lib/ocaml/dynlink.cmi
 lib/ocaml/dynlink.cmx
 lib/ocaml/dynlink.cmxa
 lib/ocaml/dynlink.mli
-%%THREADS%%lib/ocaml/event.mli
+lib/ocaml/event.mli
 lib/ocaml/expunge
 lib/ocaml/extract_crc
 lib/ocaml/filename.cmi
@@ -466,325 +473,325 @@ lib/ocaml/int64.ml
 lib/ocaml/int64.mli
 %%PROF%%lib/ocaml/int64.p.cmx
 lib/ocaml/int_misc.cmx
-%%TK%%lib/ocaml/labltk/balloon.cmi
-%%TK%%lib/ocaml/labltk/balloon.cmx
-%%TK%%lib/ocaml/labltk/balloon.mli
-%%TK%%lib/ocaml/labltk/bell.cmi
-%%TK%%lib/ocaml/labltk/bell.cmx
-%%TK%%lib/ocaml/labltk/bell.mli
-%%TK%%lib/ocaml/labltk/button.cmi
-%%TK%%lib/ocaml/labltk/button.cmx
-%%TK%%lib/ocaml/labltk/button.mli
-%%TK%%lib/ocaml/labltk/cBell.cmi
-%%TK%%lib/ocaml/labltk/cBell.cmx
-%%TK%%lib/ocaml/labltk/cBell.mli
-%%TK%%lib/ocaml/labltk/cButton.cmi
-%%TK%%lib/ocaml/labltk/cButton.cmx
-%%TK%%lib/ocaml/labltk/cButton.mli
-%%TK%%lib/ocaml/labltk/cCanvas.cmi
-%%TK%%lib/ocaml/labltk/cCanvas.cmx
-%%TK%%lib/ocaml/labltk/cCanvas.mli
-%%TK%%lib/ocaml/labltk/cCheckbutton.cmi
-%%TK%%lib/ocaml/labltk/cCheckbutton.cmx
-%%TK%%lib/ocaml/labltk/cCheckbutton.mli
-%%TK%%lib/ocaml/labltk/cClipboard.cmi
-%%TK%%lib/ocaml/labltk/cClipboard.cmx
-%%TK%%lib/ocaml/labltk/cClipboard.mli
-%%TK%%lib/ocaml/labltk/cDialog.cmi
-%%TK%%lib/ocaml/labltk/cDialog.cmx
-%%TK%%lib/ocaml/labltk/cDialog.mli
-%%TK%%lib/ocaml/labltk/cEncoding.cmi
-%%TK%%lib/ocaml/labltk/cEncoding.cmx
-%%TK%%lib/ocaml/labltk/cEncoding.mli
-%%TK%%lib/ocaml/labltk/cEntry.cmi
-%%TK%%lib/ocaml/labltk/cEntry.cmx
-%%TK%%lib/ocaml/labltk/cEntry.mli
-%%TK%%lib/ocaml/labltk/cFocus.cmi
-%%TK%%lib/ocaml/labltk/cFocus.cmx
-%%TK%%lib/ocaml/labltk/cFocus.mli
-%%TK%%lib/ocaml/labltk/cFont.cmi
-%%TK%%lib/ocaml/labltk/cFont.cmx
-%%TK%%lib/ocaml/labltk/cFont.mli
-%%TK%%lib/ocaml/labltk/cFrame.cmi
-%%TK%%lib/ocaml/labltk/cFrame.cmx
-%%TK%%lib/ocaml/labltk/cFrame.mli
-%%TK%%lib/ocaml/labltk/cGrab.cmi
-%%TK%%lib/ocaml/labltk/cGrab.cmx
-%%TK%%lib/ocaml/labltk/cGrab.mli
-%%TK%%lib/ocaml/labltk/cGrid.cmi
-%%TK%%lib/ocaml/labltk/cGrid.cmx
-%%TK%%lib/ocaml/labltk/cGrid.mli
-%%TK%%lib/ocaml/labltk/cImage.cmi
-%%TK%%lib/ocaml/labltk/cImage.cmx
-%%TK%%lib/ocaml/labltk/cImage.mli
-%%TK%%lib/ocaml/labltk/cImagebitmap.cmi
-%%TK%%lib/ocaml/labltk/cImagebitmap.cmx
-%%TK%%lib/ocaml/labltk/cImagebitmap.mli
-%%TK%%lib/ocaml/labltk/cImagephoto.cmi
-%%TK%%lib/ocaml/labltk/cImagephoto.cmx
-%%TK%%lib/ocaml/labltk/cImagephoto.mli
-%%TK%%lib/ocaml/labltk/cLabel.cmi
-%%TK%%lib/ocaml/labltk/cLabel.cmx
-%%TK%%lib/ocaml/labltk/cLabel.mli
-%%TK%%lib/ocaml/labltk/cListbox.cmi
-%%TK%%lib/ocaml/labltk/cListbox.cmx
-%%TK%%lib/ocaml/labltk/cListbox.mli
-%%TK%%lib/ocaml/labltk/cMenu.cmi
-%%TK%%lib/ocaml/labltk/cMenu.cmx
-%%TK%%lib/ocaml/labltk/cMenu.mli
-%%TK%%lib/ocaml/labltk/cMenubutton.cmi
-%%TK%%lib/ocaml/labltk/cMenubutton.cmx
-%%TK%%lib/ocaml/labltk/cMenubutton.mli
-%%TK%%lib/ocaml/labltk/cMessage.cmi
-%%TK%%lib/ocaml/labltk/cMessage.cmx
-%%TK%%lib/ocaml/labltk/cMessage.mli
-%%TK%%lib/ocaml/labltk/cOption.cmi
-%%TK%%lib/ocaml/labltk/cOption.cmx
-%%TK%%lib/ocaml/labltk/cOption.mli
-%%TK%%lib/ocaml/labltk/cOptionmenu.cmi
-%%TK%%lib/ocaml/labltk/cOptionmenu.cmx
-%%TK%%lib/ocaml/labltk/cOptionmenu.mli
-%%TK%%lib/ocaml/labltk/cPack.cmi
-%%TK%%lib/ocaml/labltk/cPack.cmx
-%%TK%%lib/ocaml/labltk/cPack.mli
-%%TK%%lib/ocaml/labltk/cPalette.cmi
-%%TK%%lib/ocaml/labltk/cPalette.cmx
-%%TK%%lib/ocaml/labltk/cPalette.mli
-%%TK%%lib/ocaml/labltk/cPixmap.cmi
-%%TK%%lib/ocaml/labltk/cPixmap.cmx
-%%TK%%lib/ocaml/labltk/cPixmap.mli
-%%TK%%lib/ocaml/labltk/cPlace.cmi
-%%TK%%lib/ocaml/labltk/cPlace.cmx
-%%TK%%lib/ocaml/labltk/cPlace.mli
-%%TK%%lib/ocaml/labltk/cRadiobutton.cmi
-%%TK%%lib/ocaml/labltk/cRadiobutton.cmx
-%%TK%%lib/ocaml/labltk/cRadiobutton.mli
-%%TK%%lib/ocaml/labltk/cResource.cmi
-%%TK%%lib/ocaml/labltk/cResource.cmx
-%%TK%%lib/ocaml/labltk/cResource.mli
-%%TK%%lib/ocaml/labltk/cScale.cmi
-%%TK%%lib/ocaml/labltk/cScale.cmx
-%%TK%%lib/ocaml/labltk/cScale.mli
-%%TK%%lib/ocaml/labltk/cScrollbar.cmi
-%%TK%%lib/ocaml/labltk/cScrollbar.cmx
-%%TK%%lib/ocaml/labltk/cScrollbar.mli
-%%TK%%lib/ocaml/labltk/cSelection.cmi
-%%TK%%lib/ocaml/labltk/cSelection.cmx
-%%TK%%lib/ocaml/labltk/cSelection.mli
-%%TK%%lib/ocaml/labltk/cText.cmi
-%%TK%%lib/ocaml/labltk/cText.cmx
-%%TK%%lib/ocaml/labltk/cText.mli
-%%TK%%lib/ocaml/labltk/cTk.cmi
-%%TK%%lib/ocaml/labltk/cTk.cmx
-%%TK%%lib/ocaml/labltk/cTkvars.cmi
-%%TK%%lib/ocaml/labltk/cTkvars.cmx
-%%TK%%lib/ocaml/labltk/cTkvars.mli
-%%TK%%lib/ocaml/labltk/cTkwait.cmi
-%%TK%%lib/ocaml/labltk/cTkwait.cmx
-%%TK%%lib/ocaml/labltk/cTkwait.mli
-%%TK%%lib/ocaml/labltk/cToplevel.cmi
-%%TK%%lib/ocaml/labltk/cToplevel.cmx
-%%TK%%lib/ocaml/labltk/cToplevel.mli
-%%TK%%lib/ocaml/labltk/cWinfo.cmi
-%%TK%%lib/ocaml/labltk/cWinfo.cmx
-%%TK%%lib/ocaml/labltk/cWinfo.mli
-%%TK%%lib/ocaml/labltk/cWm.cmi
-%%TK%%lib/ocaml/labltk/cWm.cmx
-%%TK%%lib/ocaml/labltk/cWm.mli
-%%TK%%lib/ocaml/labltk/camltk.cmi
-%%TK%%lib/ocaml/labltk/camltk.cmx
-%%TK%%lib/ocaml/labltk/canvas.cmi
-%%TK%%lib/ocaml/labltk/canvas.cmx
-%%TK%%lib/ocaml/labltk/canvas.mli
-%%TK%%lib/ocaml/labltk/checkbutton.cmi
-%%TK%%lib/ocaml/labltk/checkbutton.cmx
-%%TK%%lib/ocaml/labltk/checkbutton.mli
-%%TK%%lib/ocaml/labltk/clipboard.cmi
-%%TK%%lib/ocaml/labltk/clipboard.cmx
-%%TK%%lib/ocaml/labltk/clipboard.mli
-%%TK%%lib/ocaml/labltk/dialog.cmi
-%%TK%%lib/ocaml/labltk/dialog.cmx
-%%TK%%lib/ocaml/labltk/dialog.mli
-%%TK%%lib/ocaml/labltk/encoding.cmi
-%%TK%%lib/ocaml/labltk/encoding.cmx
-%%TK%%lib/ocaml/labltk/encoding.mli
-%%TK%%lib/ocaml/labltk/entry.cmi
-%%TK%%lib/ocaml/labltk/entry.cmx
-%%TK%%lib/ocaml/labltk/entry.mli
-%%TK%%lib/ocaml/labltk/fileevent.cmi
-%%TK%%lib/ocaml/labltk/fileevent.cmx
-%%TK%%lib/ocaml/labltk/fileevent.mli
-%%TK%%lib/ocaml/labltk/fileselect.cmi
-%%TK%%lib/ocaml/labltk/fileselect.cmx
-%%TK%%lib/ocaml/labltk/fileselect.mli
-%%TK%%lib/ocaml/labltk/focus.cmi
-%%TK%%lib/ocaml/labltk/focus.cmx
-%%TK%%lib/ocaml/labltk/focus.mli
-%%TK%%lib/ocaml/labltk/font.cmi
-%%TK%%lib/ocaml/labltk/font.cmx
-%%TK%%lib/ocaml/labltk/font.mli
-%%TK%%lib/ocaml/labltk/frame.cmi
-%%TK%%lib/ocaml/labltk/frame.cmx
-%%TK%%lib/ocaml/labltk/frame.mli
-%%TK%%lib/ocaml/labltk/frx_after.cmi
-%%TK%%lib/ocaml/labltk/frx_after.mli
-%%TK%%lib/ocaml/labltk/frx_color.cmi
-%%TK%%lib/ocaml/labltk/frx_color.mli
-%%TK%%lib/ocaml/labltk/frx_ctext.cmi
-%%TK%%lib/ocaml/labltk/frx_ctext.mli
-%%TK%%lib/ocaml/labltk/frx_dialog.cmi
-%%TK%%lib/ocaml/labltk/frx_dialog.mli
-%%TK%%lib/ocaml/labltk/frx_entry.cmi
-%%TK%%lib/ocaml/labltk/frx_entry.mli
-%%TK%%lib/ocaml/labltk/frx_fillbox.cmi
-%%TK%%lib/ocaml/labltk/frx_fillbox.mli
-%%TK%%lib/ocaml/labltk/frx_fit.cmi
-%%TK%%lib/ocaml/labltk/frx_fit.mli
-%%TK%%lib/ocaml/labltk/frx_focus.cmi
-%%TK%%lib/ocaml/labltk/frx_focus.mli
-%%TK%%lib/ocaml/labltk/frx_font.cmi
-%%TK%%lib/ocaml/labltk/frx_font.mli
-%%TK%%lib/ocaml/labltk/frx_lbutton.mli
-%%TK%%lib/ocaml/labltk/frx_listbox.cmi
-%%TK%%lib/ocaml/labltk/frx_listbox.mli
-%%TK%%lib/ocaml/labltk/frx_mem.cmi
-%%TK%%lib/ocaml/labltk/frx_mem.mli
-%%TK%%lib/ocaml/labltk/frx_misc.cmi
-%%TK%%lib/ocaml/labltk/frx_misc.mli
-%%TK%%lib/ocaml/labltk/frx_req.cmi
-%%TK%%lib/ocaml/labltk/frx_req.mli
-%%TK%%lib/ocaml/labltk/frx_rpc.cmi
-%%TK%%lib/ocaml/labltk/frx_rpc.mli
-%%TK%%lib/ocaml/labltk/frx_selection.cmi
-%%TK%%lib/ocaml/labltk/frx_selection.mli
-%%TK%%lib/ocaml/labltk/frx_synth.cmi
-%%TK%%lib/ocaml/labltk/frx_synth.mli
-%%TK%%lib/ocaml/labltk/frx_text.cmi
-%%TK%%lib/ocaml/labltk/frx_text.mli
-%%TK%%lib/ocaml/labltk/frx_toplevel.mli
-%%TK%%lib/ocaml/labltk/frx_widget.cmi
-%%TK%%lib/ocaml/labltk/frx_widget.mli
-%%TK%%lib/ocaml/labltk/frxlib.a
-%%TK%%lib/ocaml/labltk/frxlib.cma
-%%TK%%lib/ocaml/labltk/frxlib.cmxa
-%%TK%%lib/ocaml/labltk/grab.cmi
-%%TK%%lib/ocaml/labltk/grab.cmx
-%%TK%%lib/ocaml/labltk/grab.mli
-%%TK%%lib/ocaml/labltk/grid.cmi
-%%TK%%lib/ocaml/labltk/grid.cmx
-%%TK%%lib/ocaml/labltk/grid.mli
-%%TK%%lib/ocaml/labltk/image.cmi
-%%TK%%lib/ocaml/labltk/image.cmx
-%%TK%%lib/ocaml/labltk/image.mli
-%%TK%%lib/ocaml/labltk/imagebitmap.cmi
-%%TK%%lib/ocaml/labltk/imagebitmap.cmx
-%%TK%%lib/ocaml/labltk/imagebitmap.mli
-%%TK%%lib/ocaml/labltk/imagephoto.cmi
-%%TK%%lib/ocaml/labltk/imagephoto.cmx
-%%TK%%lib/ocaml/labltk/imagephoto.mli
-%%TK%%lib/ocaml/labltk/jpf_font.cmi
-%%TK%%lib/ocaml/labltk/jpf_font.cmx
-%%TK%%lib/ocaml/labltk/jpf_font.mli
-%%TK%%lib/ocaml/labltk/jpflib.a
-%%TK%%lib/ocaml/labltk/jpflib.cma
-%%TK%%lib/ocaml/labltk/jpflib.cmxa
-%%TK%%lib/ocaml/labltk/label.cmi
-%%TK%%lib/ocaml/labltk/label.cmx
-%%TK%%lib/ocaml/labltk/label.mli
-%%TK%%lib/ocaml/labltk/labltk.a
-%%TK%%lib/ocaml/labltk/labltk.cma
-%%TK%%lib/ocaml/labltk/labltk.cmi
-%%TK%%lib/ocaml/labltk/labltk.cmx
-%%TK%%lib/ocaml/labltk/labltk.cmxa
-%%TK%%lib/ocaml/labltk/labltktop
-%%TK%%lib/ocaml/labltk/liblabltk.a
-%%TK%%lib/ocaml/labltk/listbox.cmi
-%%TK%%lib/ocaml/labltk/listbox.cmx
-%%TK%%lib/ocaml/labltk/listbox.mli
-%%TK%%lib/ocaml/labltk/menu.cmi
-%%TK%%lib/ocaml/labltk/menu.cmx
-%%TK%%lib/ocaml/labltk/menu.mli
-%%TK%%lib/ocaml/labltk/menubutton.cmi
-%%TK%%lib/ocaml/labltk/menubutton.cmx
-%%TK%%lib/ocaml/labltk/menubutton.mli
-%%TK%%lib/ocaml/labltk/message.cmi
-%%TK%%lib/ocaml/labltk/message.cmx
-%%TK%%lib/ocaml/labltk/message.mli
-%%TK%%lib/ocaml/labltk/option.cmi
-%%TK%%lib/ocaml/labltk/option.cmx
-%%TK%%lib/ocaml/labltk/option.mli
-%%TK%%lib/ocaml/labltk/optionmenu.cmi
-%%TK%%lib/ocaml/labltk/optionmenu.cmx
-%%TK%%lib/ocaml/labltk/optionmenu.mli
-%%TK%%lib/ocaml/labltk/pack.cmi
-%%TK%%lib/ocaml/labltk/pack.cmx
-%%TK%%lib/ocaml/labltk/pack.mli
-%%TK%%lib/ocaml/labltk/palette.cmi
-%%TK%%lib/ocaml/labltk/palette.cmx
-%%TK%%lib/ocaml/labltk/palette.mli
-%%TK%%lib/ocaml/labltk/pixmap.cmi
-%%TK%%lib/ocaml/labltk/pixmap.cmx
-%%TK%%lib/ocaml/labltk/pixmap.mli
-%%TK%%lib/ocaml/labltk/place.cmi
-%%TK%%lib/ocaml/labltk/place.cmx
-%%TK%%lib/ocaml/labltk/place.mli
-%%TK%%lib/ocaml/labltk/pp
-%%TK%%lib/ocaml/labltk/protocol.cmi
-%%TK%%lib/ocaml/labltk/protocol.cmx
-%%TK%%lib/ocaml/labltk/protocol.mli
-%%TK%%lib/ocaml/labltk/radiobutton.cmi
-%%TK%%lib/ocaml/labltk/radiobutton.cmx
-%%TK%%lib/ocaml/labltk/radiobutton.mli
-%%TK%%lib/ocaml/labltk/rawwidget.cmi
-%%TK%%lib/ocaml/labltk/rawwidget.cmx
-%%TK%%lib/ocaml/labltk/rawwidget.mli
-%%TK%%lib/ocaml/labltk/scale.cmi
-%%TK%%lib/ocaml/labltk/scale.cmx
-%%TK%%lib/ocaml/labltk/scale.mli
-%%TK%%lib/ocaml/labltk/scrollbar.cmi
-%%TK%%lib/ocaml/labltk/scrollbar.cmx
-%%TK%%lib/ocaml/labltk/scrollbar.mli
-%%TK%%lib/ocaml/labltk/selection.cmi
-%%TK%%lib/ocaml/labltk/selection.cmx
-%%TK%%lib/ocaml/labltk/selection.mli
-%%TK%%lib/ocaml/labltk/shell.cmi
-%%TK%%lib/ocaml/labltk/shell.cmx
-%%TK%%lib/ocaml/labltk/shell.mli
-%%TK%%lib/ocaml/labltk/text.cmi
-%%TK%%lib/ocaml/labltk/text.cmx
-%%TK%%lib/ocaml/labltk/text.mli
-%%TK%%lib/ocaml/labltk/textvariable.cmi
-%%TK%%lib/ocaml/labltk/textvariable.cmx
-%%TK%%lib/ocaml/labltk/textvariable.mli
-%%TK%%lib/ocaml/labltk/timer.cmi
-%%TK%%lib/ocaml/labltk/timer.cmx
-%%TK%%lib/ocaml/labltk/timer.mli
-%%TK%%lib/ocaml/labltk/tk.cmi
-%%TK%%lib/ocaml/labltk/tk.cmx
-%%TK%%lib/ocaml/labltk/tkcompiler
-%%THREADS%%%%TK%%lib/ocaml/labltk/tkthread.cmi
-%%THREADS%%%%TK%%lib/ocaml/labltk/tkthread.cmo
-%%THREADS%%%%TK%%lib/ocaml/labltk/tkthread.cmx
-%%THREADS%%%%TK%%lib/ocaml/labltk/tkthread.mli
-%%TK%%lib/ocaml/labltk/tkthread.o
-%%TK%%lib/ocaml/labltk/tkvars.cmi
-%%TK%%lib/ocaml/labltk/tkvars.cmx
-%%TK%%lib/ocaml/labltk/tkvars.mli
-%%TK%%lib/ocaml/labltk/tkwait.cmi
-%%TK%%lib/ocaml/labltk/tkwait.cmx
-%%TK%%lib/ocaml/labltk/tkwait.mli
-%%TK%%lib/ocaml/labltk/toplevel.cmi
-%%TK%%lib/ocaml/labltk/toplevel.cmx
-%%TK%%lib/ocaml/labltk/toplevel.mli
-%%TK%%lib/ocaml/labltk/widget.cmi
-%%TK%%lib/ocaml/labltk/widget.cmx
-%%TK%%lib/ocaml/labltk/widget.mli
-%%TK%%lib/ocaml/labltk/winfo.cmi
-%%TK%%lib/ocaml/labltk/winfo.cmx
-%%TK%%lib/ocaml/labltk/winfo.mli
-%%TK%%lib/ocaml/labltk/wm.cmi
-%%TK%%lib/ocaml/labltk/wm.cmx
-%%TK%%lib/ocaml/labltk/wm.mli
+lib/ocaml/labltk/balloon.cmi
+lib/ocaml/labltk/balloon.cmx
+lib/ocaml/labltk/balloon.mli
+lib/ocaml/labltk/bell.cmi
+lib/ocaml/labltk/bell.cmx
+lib/ocaml/labltk/bell.mli
+lib/ocaml/labltk/button.cmi
+lib/ocaml/labltk/button.cmx
+lib/ocaml/labltk/button.mli
+lib/ocaml/labltk/cBell.cmi
+lib/ocaml/labltk/cBell.cmx
+lib/ocaml/labltk/cBell.mli
+lib/ocaml/labltk/cButton.cmi
+lib/ocaml/labltk/cButton.cmx
+lib/ocaml/labltk/cButton.mli
+lib/ocaml/labltk/cCanvas.cmi
+lib/ocaml/labltk/cCanvas.cmx
+lib/ocaml/labltk/cCanvas.mli
+lib/ocaml/labltk/cCheckbutton.cmi
+lib/ocaml/labltk/cCheckbutton.cmx
+lib/ocaml/labltk/cCheckbutton.mli
+lib/ocaml/labltk/cClipboard.cmi
+lib/ocaml/labltk/cClipboard.cmx
+lib/ocaml/labltk/cClipboard.mli
+lib/ocaml/labltk/cDialog.cmi
+lib/ocaml/labltk/cDialog.cmx
+lib/ocaml/labltk/cDialog.mli
+lib/ocaml/labltk/cEncoding.cmi
+lib/ocaml/labltk/cEncoding.cmx
+lib/ocaml/labltk/cEncoding.mli
+lib/ocaml/labltk/cEntry.cmi
+lib/ocaml/labltk/cEntry.cmx
+lib/ocaml/labltk/cEntry.mli
+lib/ocaml/labltk/cFocus.cmi
+lib/ocaml/labltk/cFocus.cmx
+lib/ocaml/labltk/cFocus.mli
+lib/ocaml/labltk/cFont.cmi
+lib/ocaml/labltk/cFont.cmx
+lib/ocaml/labltk/cFont.mli
+lib/ocaml/labltk/cFrame.cmi
+lib/ocaml/labltk/cFrame.cmx
+lib/ocaml/labltk/cFrame.mli
+lib/ocaml/labltk/cGrab.cmi
+lib/ocaml/labltk/cGrab.cmx
+lib/ocaml/labltk/cGrab.mli
+lib/ocaml/labltk/cGrid.cmi
+lib/ocaml/labltk/cGrid.cmx
+lib/ocaml/labltk/cGrid.mli
+lib/ocaml/labltk/cImage.cmi
+lib/ocaml/labltk/cImage.cmx
+lib/ocaml/labltk/cImage.mli
+lib/ocaml/labltk/cImagebitmap.cmi
+%%PROF%%lib/ocaml/labltk/cImagebitmap.cmx
+lib/ocaml/labltk/cImagebitmap.mli
+lib/ocaml/labltk/cImagephoto.cmi
+lib/ocaml/labltk/cImagephoto.cmx
+lib/ocaml/labltk/cImagephoto.mli
+lib/ocaml/labltk/cLabel.cmi
+lib/ocaml/labltk/cLabel.cmx
+lib/ocaml/labltk/cLabel.mli
+lib/ocaml/labltk/cListbox.cmi
+lib/ocaml/labltk/cListbox.cmx
+lib/ocaml/labltk/cListbox.mli
+lib/ocaml/labltk/cMenu.cmi
+lib/ocaml/labltk/cMenu.cmx
+lib/ocaml/labltk/cMenu.mli
+lib/ocaml/labltk/cMenubutton.cmi
+lib/ocaml/labltk/cMenubutton.cmx
+lib/ocaml/labltk/cMenubutton.mli
+lib/ocaml/labltk/cMessage.cmi
+lib/ocaml/labltk/cMessage.cmx
+lib/ocaml/labltk/cMessage.mli
+lib/ocaml/labltk/cOption.cmi
+lib/ocaml/labltk/cOption.cmx
+lib/ocaml/labltk/cOption.mli
+lib/ocaml/labltk/cOptionmenu.cmi
+lib/ocaml/labltk/cOptionmenu.cmx
+lib/ocaml/labltk/cOptionmenu.mli
+lib/ocaml/labltk/cPack.cmi
+lib/ocaml/labltk/cPack.cmx
+lib/ocaml/labltk/cPack.mli
+lib/ocaml/labltk/cPalette.cmi
+lib/ocaml/labltk/cPalette.cmx
+lib/ocaml/labltk/cPalette.mli
+lib/ocaml/labltk/cPixmap.cmi
+%%PROF%%lib/ocaml/labltk/cPixmap.cmx
+lib/ocaml/labltk/cPixmap.mli
+lib/ocaml/labltk/cPlace.cmi
+lib/ocaml/labltk/cPlace.cmx
+lib/ocaml/labltk/cPlace.mli
+lib/ocaml/labltk/cRadiobutton.cmi
+lib/ocaml/labltk/cRadiobutton.cmx
+lib/ocaml/labltk/cRadiobutton.mli
+lib/ocaml/labltk/cResource.cmi
+lib/ocaml/labltk/cResource.cmx
+lib/ocaml/labltk/cResource.mli
+lib/ocaml/labltk/cScale.cmi
+lib/ocaml/labltk/cScale.cmx
+lib/ocaml/labltk/cScale.mli
+lib/ocaml/labltk/cScrollbar.cmi
+lib/ocaml/labltk/cScrollbar.cmx
+lib/ocaml/labltk/cScrollbar.mli
+lib/ocaml/labltk/cSelection.cmi
+lib/ocaml/labltk/cSelection.cmx
+lib/ocaml/labltk/cSelection.mli
+lib/ocaml/labltk/cText.cmi
+lib/ocaml/labltk/cText.cmx
+lib/ocaml/labltk/cText.mli
+lib/ocaml/labltk/cTk.cmi
+lib/ocaml/labltk/cTk.cmx
+lib/ocaml/labltk/cTkvars.cmi
+lib/ocaml/labltk/cTkvars.cmx
+lib/ocaml/labltk/cTkvars.mli
+lib/ocaml/labltk/cTkwait.cmi
+lib/ocaml/labltk/cTkwait.cmx
+lib/ocaml/labltk/cTkwait.mli
+lib/ocaml/labltk/cToplevel.cmi
+lib/ocaml/labltk/cToplevel.cmx
+lib/ocaml/labltk/cToplevel.mli
+lib/ocaml/labltk/cWinfo.cmi
+lib/ocaml/labltk/cWinfo.cmx
+lib/ocaml/labltk/cWinfo.mli
+lib/ocaml/labltk/cWm.cmi
+lib/ocaml/labltk/cWm.cmx
+lib/ocaml/labltk/cWm.mli
+lib/ocaml/labltk/camltk.cmi
+lib/ocaml/labltk/camltk.cmx
+lib/ocaml/labltk/canvas.cmi
+lib/ocaml/labltk/canvas.cmx
+lib/ocaml/labltk/canvas.mli
+lib/ocaml/labltk/checkbutton.cmi
+lib/ocaml/labltk/checkbutton.cmx
+lib/ocaml/labltk/checkbutton.mli
+lib/ocaml/labltk/clipboard.cmi
+lib/ocaml/labltk/clipboard.cmx
+lib/ocaml/labltk/clipboard.mli
+lib/ocaml/labltk/dialog.cmi
+lib/ocaml/labltk/dialog.cmx
+lib/ocaml/labltk/dialog.mli
+lib/ocaml/labltk/encoding.cmi
+lib/ocaml/labltk/encoding.cmx
+lib/ocaml/labltk/encoding.mli
+lib/ocaml/labltk/entry.cmi
+lib/ocaml/labltk/entry.cmx
+lib/ocaml/labltk/entry.mli
+lib/ocaml/labltk/fileevent.cmi
+lib/ocaml/labltk/fileevent.cmx
+lib/ocaml/labltk/fileevent.mli
+lib/ocaml/labltk/fileselect.cmi
+lib/ocaml/labltk/fileselect.cmx
+lib/ocaml/labltk/fileselect.mli
+lib/ocaml/labltk/focus.cmi
+lib/ocaml/labltk/focus.cmx
+lib/ocaml/labltk/focus.mli
+lib/ocaml/labltk/font.cmi
+lib/ocaml/labltk/font.cmx
+lib/ocaml/labltk/font.mli
+lib/ocaml/labltk/frame.cmi
+lib/ocaml/labltk/frame.cmx
+lib/ocaml/labltk/frame.mli
+lib/ocaml/labltk/frx_after.cmi
+lib/ocaml/labltk/frx_after.mli
+lib/ocaml/labltk/frx_color.cmi
+lib/ocaml/labltk/frx_color.mli
+lib/ocaml/labltk/frx_ctext.cmi
+lib/ocaml/labltk/frx_ctext.mli
+lib/ocaml/labltk/frx_dialog.cmi
+lib/ocaml/labltk/frx_dialog.mli
+lib/ocaml/labltk/frx_entry.cmi
+lib/ocaml/labltk/frx_entry.mli
+lib/ocaml/labltk/frx_fillbox.cmi
+lib/ocaml/labltk/frx_fillbox.mli
+lib/ocaml/labltk/frx_fit.cmi
+lib/ocaml/labltk/frx_fit.mli
+lib/ocaml/labltk/frx_focus.cmi
+lib/ocaml/labltk/frx_focus.mli
+lib/ocaml/labltk/frx_font.cmi
+lib/ocaml/labltk/frx_font.mli
+lib/ocaml/labltk/frx_lbutton.mli
+lib/ocaml/labltk/frx_listbox.cmi
+lib/ocaml/labltk/frx_listbox.mli
+lib/ocaml/labltk/frx_mem.cmi
+lib/ocaml/labltk/frx_mem.mli
+lib/ocaml/labltk/frx_misc.cmi
+lib/ocaml/labltk/frx_misc.mli
+lib/ocaml/labltk/frx_req.cmi
+lib/ocaml/labltk/frx_req.mli
+lib/ocaml/labltk/frx_rpc.cmi
+lib/ocaml/labltk/frx_rpc.mli
+lib/ocaml/labltk/frx_selection.cmi
+lib/ocaml/labltk/frx_selection.mli
+lib/ocaml/labltk/frx_synth.cmi
+lib/ocaml/labltk/frx_synth.mli
+lib/ocaml/labltk/frx_text.cmi
+lib/ocaml/labltk/frx_text.mli
+lib/ocaml/labltk/frx_toplevel.mli
+lib/ocaml/labltk/frx_widget.cmi
+lib/ocaml/labltk/frx_widget.mli
+lib/ocaml/labltk/frxlib.a
+lib/ocaml/labltk/frxlib.cma
+lib/ocaml/labltk/frxlib.cmxa
+lib/ocaml/labltk/grab.cmi
+lib/ocaml/labltk/grab.cmx
+lib/ocaml/labltk/grab.mli
+lib/ocaml/labltk/grid.cmi
+lib/ocaml/labltk/grid.cmx
+lib/ocaml/labltk/grid.mli
+lib/ocaml/labltk/image.cmi
+lib/ocaml/labltk/image.cmx
+lib/ocaml/labltk/image.mli
+lib/ocaml/labltk/imagebitmap.cmi
+%%PROF%%lib/ocaml/labltk/imagebitmap.cmx
+lib/ocaml/labltk/imagebitmap.mli
+lib/ocaml/labltk/imagephoto.cmi
+lib/ocaml/labltk/imagephoto.cmx
+lib/ocaml/labltk/imagephoto.mli
+lib/ocaml/labltk/jpf_font.cmi
+lib/ocaml/labltk/jpf_font.cmx
+lib/ocaml/labltk/jpf_font.mli
+lib/ocaml/labltk/jpflib.a
+lib/ocaml/labltk/jpflib.cma
+lib/ocaml/labltk/jpflib.cmxa
+lib/ocaml/labltk/label.cmi
+lib/ocaml/labltk/label.cmx
+lib/ocaml/labltk/label.mli
+lib/ocaml/labltk/labltk.a
+lib/ocaml/labltk/labltk.cma
+lib/ocaml/labltk/labltk.cmi
+lib/ocaml/labltk/labltk.cmx
+lib/ocaml/labltk/labltk.cmxa
+lib/ocaml/labltk/labltktop
+lib/ocaml/labltk/liblabltk.a
+lib/ocaml/labltk/listbox.cmi
+lib/ocaml/labltk/listbox.cmx
+lib/ocaml/labltk/listbox.mli
+lib/ocaml/labltk/menu.cmi
+lib/ocaml/labltk/menu.cmx
+lib/ocaml/labltk/menu.mli
+lib/ocaml/labltk/menubutton.cmi
+lib/ocaml/labltk/menubutton.cmx
+lib/ocaml/labltk/menubutton.mli
+lib/ocaml/labltk/message.cmi
+lib/ocaml/labltk/message.cmx
+lib/ocaml/labltk/message.mli
+lib/ocaml/labltk/option.cmi
+lib/ocaml/labltk/option.cmx
+lib/ocaml/labltk/option.mli
+lib/ocaml/labltk/optionmenu.cmi
+lib/ocaml/labltk/optionmenu.cmx
+lib/ocaml/labltk/optionmenu.mli
+lib/ocaml/labltk/pack.cmi
+lib/ocaml/labltk/pack.cmx
+lib/ocaml/labltk/pack.mli
+lib/ocaml/labltk/palette.cmi
+lib/ocaml/labltk/palette.cmx
+lib/ocaml/labltk/palette.mli
+lib/ocaml/labltk/pixmap.cmi
+%%PROF%%lib/ocaml/labltk/pixmap.cmx
+lib/ocaml/labltk/pixmap.mli
+lib/ocaml/labltk/place.cmi
+lib/ocaml/labltk/place.cmx
+lib/ocaml/labltk/place.mli
+lib/ocaml/labltk/pp
+lib/ocaml/labltk/protocol.cmi
+lib/ocaml/labltk/protocol.cmx
+lib/ocaml/labltk/protocol.mli
+lib/ocaml/labltk/radiobutton.cmi
+lib/ocaml/labltk/radiobutton.cmx
+lib/ocaml/labltk/radiobutton.mli
+lib/ocaml/labltk/rawwidget.cmi
+lib/ocaml/labltk/rawwidget.cmx
+lib/ocaml/labltk/rawwidget.mli
+lib/ocaml/labltk/scale.cmi
+lib/ocaml/labltk/scale.cmx
+lib/ocaml/labltk/scale.mli
+lib/ocaml/labltk/scrollbar.cmi
+lib/ocaml/labltk/scrollbar.cmx
+lib/ocaml/labltk/scrollbar.mli
+lib/ocaml/labltk/selection.cmi
+lib/ocaml/labltk/selection.cmx
+lib/ocaml/labltk/selection.mli
+lib/ocaml/labltk/shell.cmi
+lib/ocaml/labltk/shell.cmx
+lib/ocaml/labltk/shell.mli
+lib/ocaml/labltk/text.cmi
+lib/ocaml/labltk/text.cmx
+lib/ocaml/labltk/text.mli
+lib/ocaml/labltk/textvariable.cmi
+lib/ocaml/labltk/textvariable.cmx
+lib/ocaml/labltk/textvariable.mli
+lib/ocaml/labltk/timer.cmi
+lib/ocaml/labltk/timer.cmx
+lib/ocaml/labltk/timer.mli
+lib/ocaml/labltk/tk.cmi
+lib/ocaml/labltk/tk.cmx
+lib/ocaml/labltk/tkcompiler
+lib/ocaml/labltk/tkthread.cmi
+lib/ocaml/labltk/tkthread.cmo
+lib/ocaml/labltk/tkthread.cmx
+lib/ocaml/labltk/tkthread.mli
+lib/ocaml/labltk/tkthread.o
+lib/ocaml/labltk/tkvars.cmi
+lib/ocaml/labltk/tkvars.cmx
+lib/ocaml/labltk/tkvars.mli
+lib/ocaml/labltk/tkwait.cmi
+lib/ocaml/labltk/tkwait.cmx
+lib/ocaml/labltk/tkwait.mli
+lib/ocaml/labltk/toplevel.cmi
+lib/ocaml/labltk/toplevel.cmx
+lib/ocaml/labltk/toplevel.mli
+lib/ocaml/labltk/widget.cmi
+lib/ocaml/labltk/widget.cmx
+lib/ocaml/labltk/widget.mli
+lib/ocaml/labltk/winfo.cmi
+lib/ocaml/labltk/winfo.cmx
+lib/ocaml/labltk/winfo.mli
+lib/ocaml/labltk/wm.cmi
+lib/ocaml/labltk/wm.cmx
+lib/ocaml/labltk/wm.mli
 lib/ocaml/lazy.cmi
 lib/ocaml/lazy.cmx
 lib/ocaml/lazy.ml
@@ -804,8 +811,8 @@ lib/ocaml/libcamlrun_shared.so
 lib/ocaml/libcamlstr.a
 %%X11%%lib/ocaml/libgraphics.a
 lib/ocaml/libnums.a
-%%THREADS%%lib/ocaml/libthreads.a
-%%THREADS%%lib/ocaml/libthreadsnat.a
+lib/ocaml/libthreads.a
+lib/ocaml/libthreadsnat.a
 lib/ocaml/libunix.a
 lib/ocaml/list.cmi
 lib/ocaml/list.cmx
@@ -818,7 +825,7 @@ lib/ocaml/listLabels.ml
 lib/ocaml/listLabels.mli
 %%PROF%%lib/ocaml/listLabels.p.cmx
 lib/ocaml/map.cmi
-lib/ocaml/map.cmx
+%%PROF%%lib/ocaml/map.cmx
 lib/ocaml/map.ml
 lib/ocaml/map.mli
 %%PROF%%lib/ocaml/map.p.cmx
@@ -832,7 +839,7 @@ lib/ocaml/moreLabels.cmx
 lib/ocaml/moreLabels.ml
 lib/ocaml/moreLabels.mli
 %%PROF%%lib/ocaml/moreLabels.p.cmx
-%%THREADS%%lib/ocaml/mutex.mli
+lib/ocaml/mutex.mli
 lib/ocaml/nat.cmi
 lib/ocaml/nat.cmx
 lib/ocaml/nat.mli
@@ -872,7 +879,6 @@ lib/ocaml/ocamlbuild/ocamlbuild_unix_plugin.o
 lib/ocaml/ocamlbuild/ocamlbuildlib.a
 lib/ocaml/ocamlbuild/ocamlbuildlib.cma
 lib/ocaml/ocamlbuild/ocamlbuildlib.cmxa
-lib/ocaml/ocamldoc/custom/.keep
 lib/ocaml/ocamldoc/ocamldoc.hva
 lib/ocaml/ocamldoc/odoc.cmi
 lib/ocaml/ocamldoc/odoc_analyse.cmi
@@ -1029,9 +1035,9 @@ lib/ocaml/stringLabels.mli
 lib/ocaml/stublibs/dllbigarray.so
 lib/ocaml/stublibs/dllcamlstr.so
 %%X11%%lib/ocaml/stublibs/dllgraphics.so
-%%TK%%lib/ocaml/stublibs/dlllabltk.so
+lib/ocaml/stublibs/dlllabltk.so
 lib/ocaml/stublibs/dllnums.so
-%%THREADS%%lib/ocaml/stublibs/dllthreads.so
+lib/ocaml/stublibs/dllthreads.so
 lib/ocaml/stublibs/dllunix.so
 lib/ocaml/stublibs/dllvmthreads.so
 lib/ocaml/sys.cmi
@@ -1039,21 +1045,21 @@ lib/ocaml/sys.cmx
 lib/ocaml/sys.ml
 lib/ocaml/sys.mli
 %%PROF%%lib/ocaml/sys.p.cmx
-%%THREADS%%lib/ocaml/thread.mli
-%%THREADS%%lib/ocaml/threadUnix.mli
-%%THREADS%%lib/ocaml/threads/condition.cmi
-%%THREADS%%lib/ocaml/threads/condition.cmx
-%%THREADS%%lib/ocaml/threads/event.cmi
-%%THREADS%%lib/ocaml/threads/event.cmx
-%%THREADS%%lib/ocaml/threads/mutex.cmi
-%%THREADS%%lib/ocaml/threads/mutex.cmx
-%%THREADS%%lib/ocaml/threads/thread.cmi
-%%THREADS%%lib/ocaml/threads/thread.cmx
-%%THREADS%%lib/ocaml/threads/threadUnix.cmi
-%%THREADS%%lib/ocaml/threads/threadUnix.cmx
-%%THREADS%%lib/ocaml/threads/threads.a
-%%THREADS%%lib/ocaml/threads/threads.cma
-%%THREADS%%lib/ocaml/threads/threads.cmxa
+lib/ocaml/thread.mli
+lib/ocaml/threadUnix.mli
+lib/ocaml/threads/condition.cmi
+lib/ocaml/threads/condition.cmx
+lib/ocaml/threads/event.cmi
+lib/ocaml/threads/event.cmx
+lib/ocaml/threads/mutex.cmi
+lib/ocaml/threads/mutex.cmx
+lib/ocaml/threads/thread.cmi
+lib/ocaml/threads/thread.cmx
+lib/ocaml/threads/threadUnix.cmi
+lib/ocaml/threads/threadUnix.cmx
+lib/ocaml/threads/threads.a
+lib/ocaml/threads/threads.cma
+lib/ocaml/threads/threads.cmxa
 lib/ocaml/topdirs.cmi
 lib/ocaml/unix.a
 lib/ocaml/unix.cma
@@ -1084,54 +1090,102 @@ lib/ocaml/weak.cmx
 lib/ocaml/weak.ml
 lib/ocaml/weak.mli
 %%PROF%%lib/ocaml/weak.p.cmx
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/.ignore
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/Makefile
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/Makefile.nt
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/addition.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/eyes.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/fileinput.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/fileopen.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/helloworld.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/images/CamlBook.gif
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/images/Lambda2.back.gif
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/images/dojoji.back.gif
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/jptest.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/mytext.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/socketinput.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/taddition.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/tetris.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/text.ml
-%%TK%%%%EXAMPLESDIR%%/examples_camltk/winskel.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/.ignore
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/Lambda2.back.gif
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/Makefile
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/Makefile.nt
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/README
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/calc.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/clock.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/demo.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/eyes.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/hello.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/hello.tcl
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/lang.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/taquin.ml
-%%TK%%%%EXAMPLESDIR%%/examples_labltk/tetris.ml
-%%TK%%@dirrm %%EXAMPLESDIR%%/examples_labltk
-%%TK%%@dirrm %%EXAMPLESDIR%%/examples_camltk/images
-%%TK%%@dirrm %%EXAMPLESDIR%%/examples_camltk
-@dirrmtry %%EXAMPLESDIR%%
-@dirrm lib/ocaml/vmthreads
-@dirrm lib/ocaml/threads
-@dirrm lib/ocaml/stublibs
-@dirrm lib/ocaml/ocamldoc/custom
-@dirrm lib/ocaml/ocamldoc
-@dirrm lib/ocaml/ocamlbuild
-%%TK%%@dirrmtry lib/ocaml/labltk
-@dirrm lib/ocaml/compiler-libs
-@dirrm lib/ocaml/camlp4/Camlp4Top
-@dirrm lib/ocaml/camlp4/Camlp4Printers
-@dirrm lib/ocaml/camlp4/Camlp4Parsers
-@dirrm lib/ocaml/camlp4/Camlp4Filters
-@dirrm lib/ocaml/camlp4
-@dirrm lib/ocaml/caml
-@dirrm lib/ocaml
+man/man1/ocamlbuild.1.gz
+man/mann/Arg.3o.gz
+man/mann/Array.3o.gz
+man/mann/ArrayLabels.3o.gz
+man/mann/Bigarray.3o.gz
+man/mann/Bigarray.Array1.3o.gz
+man/mann/Bigarray.Array2.3o.gz
+man/mann/Bigarray.Array3.3o.gz
+man/mann/Bigarray.Genarray.3o.gz
+man/mann/Buffer.3o.gz
+man/mann/Callback.3o.gz
+man/mann/CamlinternalLazy.3o.gz
+man/mann/CamlinternalMod.3o.gz
+man/mann/CamlinternalOO.3o.gz
+man/mann/Complex.3o.gz
+man/mann/Digest.3o.gz
+man/mann/Filename.3o.gz
+man/mann/Format.3o.gz
+man/mann/Gc.3o.gz
+man/mann/Genlex.3o.gz
+man/mann/Hashtbl.3o.gz
+man/mann/Hashtbl.HashedType.3o.gz
+man/mann/Hashtbl.Make.3o.gz
+man/mann/Hashtbl.MakeSeeded.3o.gz
+man/mann/Hashtbl.S.3o.gz
+man/mann/Hashtbl.SeededHashedType.3o.gz
+man/mann/Hashtbl.SeededS.3o.gz
+man/mann/Int32.3o.gz
+man/mann/Int64.3o.gz
+man/mann/Lexing.3o.gz
+man/mann/List.3o.gz
+man/mann/ListLabels.3o.gz
+man/mann/Map.3o.gz
+man/mann/Map.Make.3o.gz
+man/mann/Map.OrderedType.3o.gz
+man/mann/Map.S.3o.gz
+man/mann/Marshal.3o.gz
+man/mann/MoreLabels.3o.gz
+man/mann/MoreLabels.Hashtbl.3o.gz
+man/mann/MoreLabels.Hashtbl.HashedType.3o.gz
+man/mann/MoreLabels.Hashtbl.Make.3o.gz
+man/mann/MoreLabels.Hashtbl.MakeSeeded.3o.gz
+man/mann/MoreLabels.Hashtbl.S.3o.gz
+man/mann/MoreLabels.Hashtbl.SeededHashedType.3o.gz
+man/mann/MoreLabels.Hashtbl.SeededS.3o.gz
+man/mann/MoreLabels.Map.3o.gz
+man/mann/MoreLabels.Map.Make.3o.gz
+man/mann/MoreLabels.Map.OrderedType.3o.gz
+man/mann/MoreLabels.Map.S.3o.gz
+man/mann/MoreLabels.Set.3o.gz
+man/mann/MoreLabels.Set.Make.3o.gz
+man/mann/MoreLabels.Set.OrderedType.3o.gz
+man/mann/MoreLabels.Set.S.3o.gz
+man/mann/Nativeint.3o.gz
+man/mann/Num.3o.gz
+man/mann/Obj.3o.gz
+man/mann/Oo.3o.gz
+man/mann/Parsing.3o.gz
+man/mann/Pervasives.3o.gz
+man/mann/Pervasives.LargeFile.3o.gz
+man/mann/Printexc.3o.gz
+man/mann/Printf.3o.gz
+man/mann/Queue.3o.gz
+man/mann/Random.3o.gz
+man/mann/Random.State.3o.gz
+man/mann/Scanf.3o.gz
+man/mann/Scanf.Scanning.3o.gz
+man/mann/Set.Make.3o.gz
+man/mann/Set.OrderedType.3o.gz
+man/mann/Set.S.3o.gz
+man/mann/Sort.3o.gz
+man/mann/Stack.3o.gz
+man/mann/StdLabels.3o.gz
+man/mann/StdLabels.Array.3o.gz
+man/mann/StdLabels.List.3o.gz
+man/mann/StdLabels.String.3o.gz
+man/mann/Str.3o.gz
+man/mann/Stream.3o.gz
+man/mann/StringLabels.3o.gz
+man/mann/Sys.3o.gz
+man/mann/Unix.3o.gz
+man/mann/Unix.LargeFile.3o.gz
+man/mann/Weak.3o.gz
+man/mann/Weak.Make.3o.gz
+man/mann/Weak.S.3o.gz
+@dirrmtry lib/ocaml/vmthreads
+@dirrmtry lib/ocaml/threads
+@dirrmtry lib/ocaml/stublibs
+@dirrmtry lib/ocaml/ocamldoc
+@dirrmtry lib/ocaml/ocamlbuild
+@dirrmtry lib/ocaml/labltk
+@dirrmtry lib/ocaml/compiler-libs
+@dirrmtry lib/ocaml/camlp4/Camlp4Top
+@dirrmtry lib/ocaml/camlp4/Camlp4Printers
+@dirrmtry lib/ocaml/camlp4/Camlp4Parsers
+@dirrmtry lib/ocaml/camlp4/Camlp4Filters
+@dirrmtry lib/ocaml/camlp4
+@dirrmtry lib/ocaml/caml
+@dirrmtry lib/ocaml